-- name: [CS] SEPHIROTH
-- description: temp \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!



local E_MODEL_SEPH = smlua_model_util_get_id("seph_geo")

local TEX_SEPH = get_texture_info("seph_icon")

local TEXT_MOD_NAME = "[CS] SEPHIROTH"

local E_MODEL_CLOUDSTAR = smlua_model_util_get_id("cloudhead_geo")

local VOICETABLE_SEPH = {
    [CHAR_SOUND_ATTACKED] = 'attacked.ogg',
    [CHAR_SOUND_COUGHING1] = 'coughing1.ogg',
    [CHAR_SOUND_DOH] = 'doh.ogg',
    [CHAR_SOUND_DROWNING] = 'drowning.ogg',
    [CHAR_SOUND_DYING] = 'dying.ogg',
    [CHAR_SOUND_EEUH] = 'eeuh.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'ground_pound_wah.ogg',
    [CHAR_SOUND_HAHA] = 'haha.ogg',
    [CHAR_SOUND_HAHA_2] = 'haha_2.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'here_we_go.ogg',
    [CHAR_SOUND_HOOHOO] = 'hoohoo.ogg',
    [CHAR_SOUND_HRMM] = 'hrmm.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'mama_mia.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'lets_a_go.ogg',
    [CHAR_SOUND_ON_FIRE] = 'on_fire.ogg',
    [CHAR_SOUND_OOOF] = 'oof.ogg',
    [CHAR_SOUND_OOOF2] = 'oof2.ogg',
    [CHAR_SOUND_PANTING] = 'panting.ogg',
    [CHAR_SOUND_PANTING_COLD] = 'panting_cold.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'punch_hoo.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'punch_wah.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'punch_yah.ogg',
    [CHAR_SOUND_SNORING1] = 'snoring1.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'so_longa_bowser.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'twirl_bounce.ogg',
    [CHAR_SOUND_UH] = 'uh2.ogg',
    [CHAR_SOUND_UH2] = 'uh2.ogg',
    [CHAR_SOUND_UH2_2] = 'uh2_2.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'waaaooow.ogg',
    [CHAR_SOUND_WAH2] = 'yah_wah_hoo2.ogg',
    [CHAR_SOUND_WHOA] = 'whoa.ogg',
    [CHAR_SOUND_YAHOO] = 'yahoo.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'yahoo.ogg', 'yahoo2.ogg', 'yipee.ogg', 'waha.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'yah_wah_hoo.ogg', 'yah_wah_hoo2.ogg', 'yah_wah_hoo3.ogg'},

}

local capSeph = {
    normal = smlua_model_util_get_id("seph_cap_geo"),
    wing = smlua_model_util_get_id("seph_wing_cap_geo"),
    metal = smlua_model_util_get_id("seph_metal_cap_geo"),
    metalWing = smlua_model_util_get_id("seph_metal_wing_cap_geo")
}

_G.charSelect.character_add_caps(E_MODEL_SEPH, capSeph)

if _G.charSelectExists then
    CT_SEPH = _G.charSelect.character_add("Sephiroth", "Estuans interius, Ira vehementi, Estuans interius, Ira vehementi, SEPHIROTH, SEPHIROTH", "Melzinoff", {r = 255, g = 200, b = 200}, E_MODEL_SEPH, CT_MARIO, TEX_SEPH)

_G.charSelect.character_add_celebration_star(E_MODEL_SEPH, E_MODEL_CLOUDSTAR)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_SEPH, VOICETABLE_SEPH)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SEPH then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SEPH then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
